## myproxy 5.4

=== debian/changelog ===
myproxy (5.4-2) unstable; urgency=low

  * Add procps to Build-Depends (Closes: #646516)
  * Add PATH_MAX and MAXPATHLEN for portability

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 29 Oct 2011 09:42:08 +0200

myproxy (5.4-1) unstable; urgency=low

  * First build (Closes: #641686)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 14 Sep 2011 15:41:11 +0200
