=== debian/control ===
Source: myproxy
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), autotools-dev, quilt, grid-packaging-tools, libglobus-gss-assist-dev (>= 3), libglobus-usage-dev, libpam0g-dev, libldap2-dev, libkrb5-dev, voms-dev, libsasl2-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript, globus-proxy-utils, globus-gsi-cert-utils-progs, voms-clients, procps
Standards-Version: 3.9.2
Section: net
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/myproxy
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/myproxy
Homepage: http://grid.ncsa.illinois.edu/myproxy/

Package: myproxy
Section: net
Architecture: any
Depends: libmyproxy5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, globus-proxy-utils, voms-clients
Description: Credential Management Service Client
 MyProxy is open source software for managing X.509 Public Key Infrastructure
 (PKI) security credentials (certificates and private keys). MyProxy
 combines an online credential repository with an online certificate
 authority to allow users to securely obtain credentials when and where needed.
 Users run myproxy-logon to authenticate and obtain credentials, including
 trusted CA certificates and Certificate Revocation Lists (CRLs).

Package: libmyproxy5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Credential Management Service Library
 MyProxy is open source software for managing X.509 Public Key Infrastructure
 (PKI) security credentials (certificates and private keys). MyProxy
 combines an online credential repository with an online certificate
 authority to allow users to securely obtain credentials when and where needed.
 Users run myproxy-logon to authenticate and obtain credentials, including
 trusted CA certificates and Certificate Revocation Lists (CRLs).
 .
 This package contains runtime libs for MyProxy.

Package: libmyproxy-dev
Section: libdevel
Architecture: any
Depends: libmyproxy5 (= ${binary:Version}), libglobus-gss-assist-dev (>= 3), libglobus-usage-dev, ${misc:Depends}
Recommends: libmyproxy-doc (= ${source:Version})
Description: Credential Management Service Development
 MyProxy is open source software for managing X.509 Public Key Infrastructure
 (PKI) security credentials (certificates and private keys). MyProxy
 combines an online credential repository with an online certificate
 authority to allow users to securely obtain credentials when and where needed.
 Users run myproxy-logon to authenticate and obtain credentials, including
 trusted CA certificates and Certificate Revocation Lists (CRLs).
 .
 This package contains development files for MyProxy.

Package: myproxy-server
Section: net
Architecture: any
Depends: libmyproxy5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, adduser
Description: Credential Management Service Server
 MyProxy is open source software for managing X.509 Public Key Infrastructure
 (PKI) security credentials (certificates and private keys). MyProxy
 combines an online credential repository with an online certificate
 authority to allow users to securely obtain credentials when and where needed.
 Users run myproxy-logon to authenticate and obtain credentials, including
 trusted CA certificates and Certificate Revocation Lists (CRLs).
 .
 This package contains the MyProxy server.

Package: myproxy-admin
Section: net
Architecture: any
Depends: libmyproxy5 (= ${binary:Version}), myproxy-server (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: Credential Management Service Administration Tools
 MyProxy is open source software for managing X.509 Public Key Infrastructure
 (PKI) security credentials (certificates and private keys). MyProxy
 combines an online credential repository with an online certificate
 authority to allow users to securely obtain credentials when and where needed.
 Users run myproxy-logon to authenticate and obtain credentials, including
 trusted CA certificates and Certificate Revocation Lists (CRLs).
 .
 This package contains the MyProxy server admin commands.

Package: libmyproxy-doc
Section: doc
Architecture: all
Depends: libmyproxy-dev, ${misc:Depends}, ${js:Depends}
Description: Credential Management Service Documentation
 MyProxy is open source software for managing X.509 Public Key Infrastructure
 (PKI) security credentials (certificates and private keys). MyProxy
 combines an online credential repository with an online certificate
 authority to allow users to securely obtain credentials when and where needed-
 Users run myproxy-logon to authenticate and obtain credentials, including
 trusted CA certificates and Certificate Revocation Lists (CRLs).
 .
 This package contains the MyProxy documentation.

Package: myproxy-dbg
Section: debug
Priority: extra
Architecture: any
Depends: myproxy (= ${binary:Version}) | libmyproxy5 (= ${binary:Version}) | myproxy-server (= ${binary:Version}) | myproxy-admin (= ${binary:Version}), ${misc:Depends}
Description: Credential Management Service Debug Symbols
 MyProxy is open source software for managing X.509 Public Key Infrastructure
 (PKI) security credentials (certificates and private keys). MyProxy
 combines an online credential repository with an online certificate
 authority to allow users to securely obtain credentials when and where needed.
 Users run myproxy-logon to authenticate and obtain credentials, including
 trusted CA certificates and Certificate Revocation Lists (CRLs).
 .
 This package contains the MyProxy debug symbols.
