## myproxy 5.5

=== debian/changelog ===
myproxy (5.5-1) unstable; urgency=low

  * New upstream release
  * Drop myproxy-globus-7129(,-pII,-pIII).patch implemented upstream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 22 Jan 2012 06:39:35 +0100
