=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: myproxy
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), autotools-dev, quilt, grid-packaging-tools, libglobus-gss-assist-dev (>= 3), libglobus-usage-dev, libpam0g-dev, libldap2-dev, libkrb5-dev, voms-dev, libsasl2-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript, globus-proxy-utils, globus-gsi-cert-utils-progs, voms-clients, procps
+Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libglobus-usage-dev, libglobus-gss-assist-dev (>= 3), libpam0g-dev, libldap2-dev, libkrb5-dev, voms-dev, libsasl2-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript, globus-proxy-utils, globus-gsi-cert-utils-progs, voms-clients, procps
 Standards-Version: 3.9.2
 Section: net
 DM-Upload-Allowed: yes
@@ -67,7 +67,7 @@
 Package: myproxy-admin
 Section: net
 Architecture: any
-Depends: libmyproxy5 (= ${binary:Version}), myproxy-server (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Depends: libmyproxy5 (= ${binary:Version}), myproxy-server (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libperl4-corelibs-perl | perl (<< 5.12.3-7)
 Description: Credential Management Service Administration Tools
  MyProxy is open source software for managing X.509 Public Key Infrastructure
  (PKI) security credentials (certificates and private keys). MyProxy
