## myproxy 5.6

=== debian/changelog ===
myproxy (5.6-1) unstable; urgency=low

  * New upstream release
  * Drop patch myproxy-libdep.patch implemented upstream
  * Add patches for openssl 1.0.1 compatibility

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 09 May 2012 15:18:35 +0200
