=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: myproxy
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libglobus-usage-dev, libglobus-gss-assist-dev (>= 3), libpam0g-dev, libldap2-dev, libkrb5-dev, voms-dev, libsasl2-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript, globus-proxy-utils, globus-gsi-cert-utils-progs, voms-clients, procps
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libglobus-usage-dev, libglobus-gss-assist-dev (>= 3), libpam0g-dev, libldap2-dev, libkrb5-dev, voms-dev, libsasl2-dev, libbsd-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript, globus-proxy-utils, globus-gsi-cert-utils-progs, voms-clients, procps
+Standards-Version: 3.9.3
 Section: net
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/myproxy
