=== debian/rules ===
--- 
+++ 
@@ -35,8 +35,6 @@
 	      -e 's!^\(lib[a-zA-Z_]*\)___GLOBUS_FLAVOR_NAME__la_!\1_la_!' \
 	    -i $$f ; \
 	done
-	sed -e "s!<With_Flavors!<With_Flavors ColocateLibraries=\"no\"!" \
-	  -i pkgdata/pkg_data_src.gpt.in
 
 	touch $@
 
@@ -50,8 +48,6 @@
 		-e 's!^\(lib[a-zA-Z_]*\)_la_!\1___GLOBUS_FLAVOR_NAME__la_!' \
 	      -i $$f ; \
 	  done ; \
-	  sed -e "s!<With_Flavors ColocateLibraries=\"no\"!<With_Flavors!" \
-	    -i pkgdata/pkg_data_src.gpt.in ; \
 	fi
 
 	rm -f sed-stamp
