## myproxy 5.9

=== debian/changelog ===
myproxy (5.9-6) unstable; urgency=low

  * Add missing Replaces/Breaks for previous fix (Closes: #730711)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 28 Nov 2013 19:06:31 +0100

myproxy (5.9-5) unstable; urgency=low

  * Move noflavor gpt metadata to doc package (Closes: #730447)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 25 Nov 2013 10:59:28 +0100

myproxy (5.9-4) unstable; urgency=low

  * Implement Multi-Arch support
  * Split dbg package for Multi-Arch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 13 Nov 2013 16:38:07 +0100

myproxy (5.9-3) unstable; urgency=low

  * Remove the GNU/Hurd workaround - bug is fixed

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 03 Oct 2013 17:05:30 +0200

myproxy (5.9-2) unstable; urgency=low

  * Add workaround for BTS #714733 (Can't rename directories under /tmp
    in a schroot on GNU/Hurd - run test suite in build dir instead)
  * Add arm64 to the list of 64 bit architectures

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 05 Jul 2013 10:52:27 +0200

myproxy (5.9-1) unstable; urgency=low

  * New upstream release
  * Drop patches -myproxy-tls.patch, myproxy-bsd.patch and
    myproxy-2048bits.patch implemented upstream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 12 Sep 2012 09:48:56 +0200
