=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: myproxy
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libglobus-usage-dev, libglobus-gss-assist-dev (>= 3), libpam0g-dev, libldap2-dev, libkrb5-dev, voms-dev, libsasl2-dev, libbsd-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript, globus-proxy-utils, globus-gsi-cert-utils-progs, voms-clients, procps
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8.16), libglobus-usage-dev (>= 3.1-4~), libglobus-gss-assist-dev (>= 9), libpam0g-dev, libldap2-dev, libkrb5-dev, voms-dev, libsasl2-dev, libbsd-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript, globus-proxy-utils, globus-gsi-cert-utils-progs, voms-clients, procps
+Standards-Version: 3.9.4
 Section: net
-DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/myproxy
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/myproxy
 Homepage: http://grid.ncsa.illinois.edu/myproxy/
@@ -12,6 +11,7 @@
 Package: myproxy
 Section: net
 Architecture: any
+Multi-Arch: foreign
 Depends: libmyproxy5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, globus-proxy-utils, voms-clients
 Description: Credential Management Service Client
  MyProxy is open source software for managing X.509 Public Key Infrastructure
@@ -24,6 +24,8 @@
 Package: libmyproxy5
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Credential Management Service Library
  MyProxy is open source software for managing X.509 Public Key Infrastructure
@@ -38,6 +40,7 @@
 Package: libmyproxy-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libmyproxy5 (= ${binary:Version}), libglobus-gss-assist-dev (>= 3), libglobus-usage-dev, ${misc:Depends}
 Recommends: libmyproxy-doc (= ${source:Version})
 Description: Credential Management Service Development
@@ -53,6 +56,7 @@
 Package: myproxy-server
 Section: net
 Architecture: any
+Multi-Arch: foreign
 Depends: libmyproxy5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, adduser
 Description: Credential Management Service Server
  MyProxy is open source software for managing X.509 Public Key Infrastructure
@@ -67,6 +71,7 @@
 Package: myproxy-admin
 Section: net
 Architecture: any
+Multi-Arch: foreign
 Depends: libmyproxy5 (= ${binary:Version}), myproxy-server (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libperl4-corelibs-perl | perl (<< 5.12.3-7)
 Description: Credential Management Service Administration Tools
  MyProxy is open source software for managing X.509 Public Key Infrastructure
@@ -81,6 +86,9 @@
 Package: libmyproxy-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
+Replaces: libmyproxy5 (<< 5.9-5~)
+Breaks: libmyproxy5 (<< 5.9-5~)
 Depends: libmyproxy-dev, ${misc:Depends}, ${js:Depends}
 Description: Credential Management Service Documentation
  MyProxy is open source software for managing X.509 Public Key Infrastructure
@@ -92,11 +100,14 @@
  .
  This package contains the MyProxy documentation.
 
-Package: myproxy-dbg
+Package: libmyproxy-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: myproxy (= ${binary:Version}) | libmyproxy5 (= ${binary:Version}) | myproxy-server (= ${binary:Version}) | myproxy-admin (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Replaces: myproxy-dbg (<< 5.9-4~)
+Breaks: myproxy-dbg (<< 5.9-4~)
+Depends: libmyproxy5 (= ${binary:Version}), ${misc:Depends}
 Description: Credential Management Service Debug Symbols
  MyProxy is open source software for managing X.509 Public Key Infrastructure
  (PKI) security credentials (certificates and private keys). MyProxy
@@ -106,3 +117,19 @@
  trusted CA certificates and Certificate Revocation Lists (CRLs).
  .
  This package contains the MyProxy debug symbols.
+
+Package: myproxy-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Multi-Arch: foreign
+Depends: myproxy (= ${binary:Version}) | myproxy-server (= ${binary:Version}) | myproxy-admin (= ${binary:Version}), ${misc:Depends}
+Description: Credential Management Service Debug Symbols
+ MyProxy is open source software for managing X.509 Public Key Infrastructure
+ (PKI) security credentials (certificates and private keys). MyProxy
+ combines an online credential repository with an online certificate
+ authority to allow users to securely obtain credentials when and where needed.
+ Users run myproxy-logon to authenticate and obtain credentials, including
+ trusted CA certificates and Certificate Revocation Lists (CRLs).
+ .
+ This package contains the MyProxy debug symbols.
