=== debian/rules ===
--- 
+++ 
@@ -10,18 +10,19 @@
 _prefix = /usr
 _bindir = $(_prefix)/bin
 _sbindir = $(_prefix)/sbin
-_libdir = $(_prefix)/lib
+_libdir = $(_prefix)/lib/$(DEB_HOST_MULTIARCH)
 _datadir = $(_prefix)/share
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc/lib$(name)-dev
 _sysconfdir = /etc
 
-DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
-
-ifneq (,$(filter $(DEB_HOST_ARCH_CPU), amd64 alpha ia64 s390x ppc64 sparc64))
-flavor = gcc64
+DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+ifeq ($(DEB_HOST_ARCH_BITS), 64)
+flavor = gcc64-$(DEB_HOST_MULTIARCH)
 else
-flavor = gcc32
+flavor = gcc32-$(DEB_HOST_MULTIARCH)
 endif
 
 sed: sed-stamp
@@ -57,9 +58,9 @@
 configure-stamp: sed-stamp
 	dh_testdir
 
+	dh_autotools-dev_updateconfig
+
 	/usr/share/globus/globus-bootstrap.sh
-
-	dh_autotools-dev_updateconfig
 
 	./configure \
 	   --disable-static \
@@ -100,10 +101,11 @@
 	# Remove autogenerated files
 
 	rm -f aclocal.m4
+	rm -f compile
 	rm -f configure
-	rm -f config.guess
-	rm -f config.sub
+	rm -f install-sh
 	rm -f ltmain.sh
+	rm -f missing
 	rm -f mkinstalldirs
 
 	rm -f doxygen/Doxyfile*
@@ -193,6 +195,12 @@
 	  echo js:Depends= >> debian/lib$(name)-doc.substvars ; \
 	fi
 
+	# Remove systemd unit files
+	rm $(INSTALLDIR)$(_datadir)/$(name)/myproxy-server.conf
+	rm $(INSTALLDIR)$(_datadir)/$(name)/myproxy-server.service
+	sed -i "/share\/$(name)\/myproxy-server/d" \
+	  $(GLOBUSPACKAGEDIR)/$(name)/noflavor_data.filelist ; \
+
 	# Check
 	PATH=.:$$PATH ./myproxy-test -startserver -generatecerts
 
@@ -207,14 +215,15 @@
 	dh_installinit -a --name=myproxy-server
 	dh_installman -a
 	dh_link -a
-	dh_strip -a --dbg-package=$(name)-dbg
+	dh_strip -a -X/bin/ -X/sbin/ --dbg-package=lib$(name)-dbg
+	dh_strip -a -X/lib/ --dbg-package=$(name)-dbg
 	dh_compress -a
 	dh_fixperms -a -X var/lib/$(name)
 	dh_perl -a
 	dh_lintian -a
 	dh_makeshlibs -a
 	dh_installdeb -a
-	dh_shlibdeps -a -l debian/lib$(name)$(soname)/usr/lib
+	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
