## myproxy 6.0

=== debian/changelog ===
myproxy (6.0-3) unstable; urgency=medium

  * Add Pre-Depends for dpkg-maintscript-helper

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 09 Nov 2014 02:04:00 +0100

myproxy (6.0-2) unstable; urgency=medium

  * Properly handle symlink-to-dir conversion in doc package (Closes: #768266)
  * Enable TLS - debian's openssl has disabled SSLv3 by default

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 07 Nov 2014 23:51:15 +0100

myproxy (6.0-1) unstable; urgency=medium

  * Update to 6.0, adapt to Globus Toolkit 6
  * Drop GPT build system oand GPT packaging metadata
  * Enable hardening flags

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 27 Sep 2014 10:55:32 +0200
