=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: myproxy
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8.16), libglobus-usage-dev (>= 3.1-4~), libglobus-gss-assist-dev (>= 9), libpam0g-dev, libldap2-dev, libkrb5-dev, voms-dev, libsasl2-dev, libbsd-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript, globus-proxy-utils, globus-gsi-cert-utils-progs, voms-clients, procps
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 5), dh-autoreconf, pkg-config, libglobus-common-dev (>= 14), libglobus-usage-dev (>= 3), libglobus-gssapi-gsi-dev (>= 9), libglobus-gss-assist-dev (>= 8), libglobus-gsi-sysconfig-dev (>= 5), libglobus-gsi-cert-utils-dev (>= 8), libglobus-gsi-proxy-core-dev (>= 6), libglobus-gsi-credential-dev (>= 5), libglobus-gsi-callback-dev (>= 4), libpam0g-dev, libldap2-dev, libkrb5-dev, voms-dev, libsasl2-dev, libbsd-dev, globus-proxy-utils, globus-gsi-cert-utils-progs, voms-clients, procps
+Standards-Version: 3.9.6
 Section: net
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/myproxy
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/myproxy
@@ -12,7 +12,7 @@
 Section: net
 Architecture: any
 Multi-Arch: foreign
-Depends: libmyproxy5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, globus-proxy-utils, voms-clients
+Depends: libmyproxy6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, globus-proxy-utils, voms-clients
 Description: Credential Management Service Client
  MyProxy is open source software for managing X.509 Public Key Infrastructure
  (PKI) security credentials (certificates and private keys). MyProxy
@@ -21,7 +21,7 @@
  Users run myproxy-logon to authenticate and obtain credentials, including
  trusted CA certificates and Certificate Revocation Lists (CRLs).
 
-Package: libmyproxy5
+Package: libmyproxy6
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -41,7 +41,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmyproxy5 (= ${binary:Version}), libglobus-gss-assist-dev (>= 3), libglobus-usage-dev, ${misc:Depends}
+Depends: libmyproxy6 (= ${binary:Version}), libglobus-common-dev (>= 14), libglobus-usage-dev (>= 3), libglobus-gssapi-gsi-dev (>= 9), libglobus-gss-assist-dev (>= 8), libglobus-gsi-sysconfig-dev (>= 5), libglobus-gsi-cert-utils-dev (>= 8), libglobus-gsi-proxy-core-dev (>= 6), libglobus-gsi-credential-dev (>= 5), libglobus-gsi-callback-dev (>= 4), ${misc:Depends}
 Recommends: libmyproxy-doc (= ${source:Version})
 Description: Credential Management Service Development
  MyProxy is open source software for managing X.509 Public Key Infrastructure
@@ -57,7 +57,7 @@
 Section: net
 Architecture: any
 Multi-Arch: foreign
-Depends: libmyproxy5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, adduser
+Depends: libmyproxy6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, adduser
 Description: Credential Management Service Server
  MyProxy is open source software for managing X.509 Public Key Infrastructure
  (PKI) security credentials (certificates and private keys). MyProxy
@@ -72,7 +72,7 @@
 Section: net
 Architecture: any
 Multi-Arch: foreign
-Depends: libmyproxy5 (= ${binary:Version}), myproxy-server (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libperl4-corelibs-perl | perl (<< 5.12.3-7)
+Depends: libmyproxy6 (= ${binary:Version}), myproxy-server (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libperl4-corelibs-perl | perl (<< 5.12.3-7)
 Description: Credential Management Service Administration Tools
  MyProxy is open source software for managing X.509 Public Key Infrastructure
  (PKI) security credentials (certificates and private keys). MyProxy
@@ -87,9 +87,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Replaces: libmyproxy5 (<< 5.9-5~)
-Breaks: libmyproxy5 (<< 5.9-5~)
-Depends: libmyproxy-dev, ${misc:Depends}, ${js:Depends}
+Pre-Depends: dpkg (>= 1.17.5)
+Depends: ${misc:Depends}
 Description: Credential Management Service Documentation
  MyProxy is open source software for managing X.509 Public Key Infrastructure
  (PKI) security credentials (certificates and private keys). MyProxy
@@ -107,7 +106,7 @@
 Multi-Arch: same
 Replaces: myproxy-dbg (<< 5.9-4~)
 Breaks: myproxy-dbg (<< 5.9-4~)
-Depends: libmyproxy5 (= ${binary:Version}), ${misc:Depends}
+Depends: libmyproxy6 (= ${binary:Version}), ${misc:Depends}
 Description: Credential Management Service Debug Symbols
  MyProxy is open source software for managing X.509 Public Key Infrastructure
  (PKI) security credentials (certificates and private keys). MyProxy
