## myproxy 6.1.13

=== debian/changelog ===
myproxy (6.1.13-1) unstable; urgency=medium

  * Update to 6.1.13

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 08 Apr 2015 17:16:08 +0200

myproxy (6.1.12-1) unstable; urgency=medium

  * Update to 6.1.12
  * Drop patch myproxy-systemd.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 21 Feb 2015 21:10:31 +0100

myproxy (6.1.8-1) unstable; urgency=medium

  * Update to 6.1.8
  * Drop patches myproxy-deps.patch, myproxy-pathmax.patch and
    myproxy-tls.patch (fixed upstream)
  * Upstream source moved from sourceforge to the Globus Toolkit github repo
  * Use source tarball published by Globus
  * New binary package libmyproxy-voms (voms support split out as a plugin)
  * Install systemd unit file for myproxy-server
  * Drop depends on libperl4-corelibs-perl (no longer uses getopts.pl)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 21 Nov 2014 16:15:39 +0100
