=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 	   --with-sasl2=/usr
 
 	# Reduce overlinking
-	sed 's!CC -shared !CC \\$${wl}--as-needed -shared !g' -i libtool
+	sed 's!CC \(.*-shared\) !CC \\\$${wl}--as-needed \1 !' -i libtool
 
 	touch $@
 
@@ -60,6 +60,7 @@
 	dh_testdir
 
 	$(MAKE)
+	$(MAKE) check VERBOSE=1
 
 	touch $@
 
@@ -73,7 +74,7 @@
 
 	rm -f build-stamp configure-stamp
 
-	dh_clean
+	dh_clean debian/myproxy-server.service debian/myproxy-server.tmpfile
 
 install: build-stamp
 	dh_testdir
@@ -119,12 +120,10 @@
 	# Create a directory to hold myproxy owned host certificates.
 	mkdir -p $(INSTALLDIR)$(_sysconfdir)/grid-security/$(name)
 
-	# Remove systemd unit files
-	rm $(INSTALLDIR)$(_datadir)/$(name)/myproxy-server.conf
-	rm $(INSTALLDIR)$(_datadir)/$(name)/myproxy-server.service
-
-	# Check
-	PATH=.:$$PATH ./myproxy-test -startserver -generatecerts
+	# systemd unit files
+	mv $(INSTALLDIR)$(_datadir)/$(name)/myproxy-server.service debian
+	mv $(INSTALLDIR)$(_datadir)/$(name)/myproxy-server.conf \
+	   debian/myproxy-server.tmpfile
 
 binary: binary-arch binary-indep
 
@@ -134,7 +133,7 @@
 	dh_installdocs -a
 	dh_installchangelogs -a
 	dh_install -a --fail-missing
-	dh_installinit -a --name=myproxy-server
+	dh_installinit -a
 	dh_installman -a
 	dh_lintian -a
 	dh_link -a
