## myproxy 6.1.14

=== debian/changelog ===
myproxy (6.1.14-1) unstable; urgency=medium

  * Update to 6.1.14 (RFC2818 name handling)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 20 Jun 2015 23:50:56 +0200
