## myproxy 6.1.15

=== debian/changelog ===
myproxy (6.1.15-1build1) wily; urgency=medium

  * No-change rebuild against libvomsapi1v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 10:35:32 +0200

myproxy (6.1.15-1) unstable; urgency=medium

  * Update to 6.1.15
  * GT-616: Myproxy uses resolved IP address when importing names

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 29 Jul 2015 17:29:59 +0200
