## myproxy 6.1.16

=== debian/changelog ===
myproxy (6.1.16-1) unstable; urgency=medium

  * Update to 6.1.16 (handle invalid proxy_req type)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 10 Dec 2015 14:55:54 +0100
