=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Section: net
 Architecture: any
 Multi-Arch: foreign
-Depends: libmyproxy6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, globus-proxy-utils, voms-clients
+Depends: libmyproxy6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Credential Management Service Client
  MyProxy is open source software for managing X.509 Public Key Infrastructure
  (PKI) security credentials (certificates and private keys). MyProxy
@@ -26,7 +26,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, globus-proxy-utils
 Description: Credential Management Service Library
  MyProxy is open source software for managing X.509 Public Key Infrastructure
  (PKI) security credentials (certificates and private keys). MyProxy
@@ -36,6 +36,22 @@
  trusted CA certificates and Certificate Revocation Lists (CRLs).
  .
  This package contains runtime libs for MyProxy.
+
+Package: libmyproxy-voms
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libmyproxy6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, voms-clients | voms-clients-java
+Description: Credential Management Service VOMS Library
+ MyProxy is open source software for managing X.509 Public Key Infrastructure
+ (PKI) security credentials (certificates and private keys). MyProxy
+ combines an online credential repository with an online certificate
+ authority to allow users to securely obtain credentials when and where needed.
+ Users run myproxy-logon to authenticate and obtain credentials, including
+ trusted CA certificates and Certificate Revocation Lists (CRLs).
+ .
+ This package contains runtime libs for MyProxy to use VOMS.
 
 Package: libmyproxy-dev
 Section: libdevel
@@ -72,7 +88,7 @@
 Section: net
 Architecture: any
 Multi-Arch: foreign
-Depends: libmyproxy6 (= ${binary:Version}), myproxy-server (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libperl4-corelibs-perl | perl (<< 5.12.3-7)
+Depends: libmyproxy6 (= ${binary:Version}), myproxy-server (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
 Description: Credential Management Service Administration Tools
  MyProxy is open source software for managing X.509 Public Key Infrastructure
  (PKI) security credentials (certificates and private keys). MyProxy
@@ -106,7 +122,7 @@
 Multi-Arch: same
 Replaces: myproxy-dbg (<< 5.9-4~)
 Breaks: myproxy-dbg (<< 5.9-4~)
-Depends: libmyproxy6 (= ${binary:Version}), ${misc:Depends}
+Depends: libmyproxy6 (= ${binary:Version}) | libmyproxy-voms (= ${binary:Version}), ${misc:Depends}
 Description: Credential Management Service Debug Symbols
  MyProxy is open source software for managing X.509 Public Key Infrastructure
  (PKI) security credentials (certificates and private keys). MyProxy
